class Fraction:
    def __init__(self, top, bottom):
        self.top = top
        self.bottom = bottom

    def value(self):
        return self.top / self.bottom

    def __repr__(self):
        return str(self.top) + "/" + str(self.bottom)

    def __eq__(self, other):
        return self.value() == other.value()

    def __gt__(self, other):
        return self.value() > other.value()

    def __add__(self, other):
        return Fraction(self.top * other.bottom + other.top * self.bottom, self.bottom * other.bottom)

a = Fraction(2, 3)
b = Fraction(1, 6)
print(a, b)
print(a == b)
print(a > b)
print(a + b)